import { encryptedData } from '../../utils/encryption.js';

export async function loginEncrypt({
  authName,
  authPasswd,
  userName,
  userPasswd,
  grantType,
  code,
  scope,
  // sm2Public,
}) {
  // btoa 编码
  const base64Credentials = btoa(`${authName}:${authPasswd}`);
  // 加密用户密码
  const encryptedPwd = userPasswd ? await encryptedData(userPasswd) : '';
  return {
    urlParams: {
      url: '/auth/oauth2/token',
      username: userName,
      grant_type: grantType,
      code,
      scope,
    },
    bodyParams: {
      password: encryptedPwd,
    },
    headerParams: {
      'Content-Type': 'application/x-www-form-urlencoded;charset=UTF-8',
      Authorization: `Basic ${base64Credentials}`,
    },
  };
}