import AntiDebugPlugin from "@jfcloudvip/vue-anti-debug-plugin";

/**
 * 安装插件
 *
 * @param {Object} Vue - The Vue constructor
 * @param {Object} option - Configuration options for plugins
 * @param {Array} option.exclude - Plugins to be excluded
 * @param {Object} option.AntiDebugPlugin - Options for the AntiDebugPlugin
 */
const setupPlugins = (Vue, option) => {
  try {
    // Destructuring assignment with default value for the exclude option
    const { exclude = [] } = option || {};

    // Check if AntiDebugPlugin is not in the exclusion list and use it
    // AntiDebugPlugin
    if (
      !exclude.includes("AntiDebugPlugin") &&
      option.AntiDebugPlugin.enableAntiDebug
    )
      Vue.use(AntiDebugPlugin, {
        enableAntiDebug: true,
        antiDebugKey: option.AntiDebugPlugin.antiDebugKey || "jfcloudjfcloud",
      });
  } catch (e) {
    // Error handling: log errors during plugin setup
    console.error(`jfcloud-front-toolkit/setupPlugins: ${e}`);
  }
};

export default setupPlugins;
