/** 判断是否是Edge浏览器或者Chrome浏览器 */
export function isEdgeOrChrome() {
  const ua = navigator.userAgent.toLowerCase();

  const edgeRegExp = /edg\/[0-9]{0,4}\.0\.0\.0/;
  const chromeRegExp = /chrome\/[0-9]{0,4}\.0\.0\.0\ssafari\/537\.36$/;
  const regExp360_1 = /wow64/;
  const regExp360_2 =
    /chrome\/[0-9]{0,4}\.0\.[0-9]{0,4}\.[0-9]{0,4}\ssafari\/537\.36$/;

  // 判断是否是 Edge 浏览器
  if (edgeRegExp.test(ua)) {
    return { flag: true, browser: "Edge" };
  }

  // 判断是否是 Chrome 浏览器
  if (chromeRegExp.test(ua)) {
    return { flag: true, browser: "Chrome" };
  }

  // 进一步判断360浏览器
  if (regExp360_1.test(ua) || regExp360_2.test(ua)) {
    return { flag: false, browser: "360" };
  }

  return { flag: false, browser: "other" };
}
